io.vertx.rxjava.ext.auth.shiro

## Class ShiroAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.AuthProvider
  - - io.vertx.rxjava.ext.auth.shiro.ShiroAuth

-     public class ShiroAuth
      extends AuthProvider

  Factory interface for creating Apache Shiro based `AuthProvider` instances.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShiroAuth(ShiroAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShiroAuth` | `create(Vertx vertx, ShiroAuthOptions options)` Create a Shiro auth provider
    `static ShiroAuth` | `create(Vertx vertx, ShiroAuthRealmType realmType, JsonObject config)` Create a Shiro auth provider
    `Object` | `getDelegate()`
    `static ShiroAuth` | `newInstance(ShiroAuth arg)`
    `ShiroAuth` | `setRolePrefix(String rolePrefix)` Set the role prefix to distinguish from permissions when checking for isPermitted requests.

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.AuthProvider

      `authenticate, authenticateObservable, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShiroAuth

          public ShiroAuth(ShiroAuth delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Overrides:
        `getDelegate` in class `AuthProvider`

    - #### create

          public static ShiroAuth create(Vertx vertx,
                                         ShiroAuthRealmType realmType,
                                         JsonObject config)

      Create a Shiro auth provider
      Parameters:
        `vertx` - the Vert.x instance
        `realmType` - the Shiro realm type
        `config` - the config
      Returns:
        the auth provider

    - #### create

          public static ShiroAuth create(Vertx vertx,
                                         ShiroAuthOptions options)

      Create a Shiro auth provider
      Parameters:
        `vertx` - the Vert.x instance
        `options` - the Shiro configuration options
      Returns:
        the auth provider

    - #### setRolePrefix

          public ShiroAuth setRolePrefix(String rolePrefix)

      Set the role prefix to distinguish from permissions when checking for isPermitted requests.
      Parameters:
        `rolePrefix` - a Prefix e.g.: "role:"
      Returns:
        a reference to this for fluency

    - #### newInstance

          public static ShiroAuth newInstance(ShiroAuth arg)

Copyright © 2016. All rights reserved.